### Type parameters

- #### K

### Hierarchy

- ItemMetadata

## Index

### Properties

- indexFromParent
- isLeaf
- key
- message
- parentKey
- suggestion
- treeDepth

## Properties

### Optional indexFromParent

indexFromParent?: number

### Optional isLeaf

isLeaf?: boolean

### key

key: K

### Optional message

message?: ItemMessage

### Optional parentKey

parentKey?: K

### Optional suggestion

suggestion?: SuggestionMetadata

### Optional treeDepth

treeDepth?: number

Generated using TypeDoc